SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";

CREATE TABLE `input_muban` (
  `id` int(10) NOT NULL,
  `input_text` varchar(255) NOT NULL DEFAULT '',
  `input_name` varchar(255) NOT NULL DEFAULT '',
  `input_muban_name` varchar(255) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `input_muban` (`id`, `input_text`, `input_name`, `input_muban_name`) VALUES
(1, '账号', 'username', 'xuni'),
(2, '密码', 'password', 'xuni'),
(3, '数量', 'shuliang', 'xuni'),
(4, '手机', 'shouji', 'shiwu'),
(5, '收货人', 'shouhuoren', 'shiwu'),
(6, '收货地址', 'shouhuodizhi', 'shiwu'),
(7, '指定快递 空为默认', 'kuaidi', 'shiwu'),
(8, '数量', 'shuliang', 'shiwu'),
(9, '邮箱', 'email', 'email'),
(10, '数量', 'shuliang', 'email'),
(11, '流量卡号', 'liuliangkakahao', 'liuliangkachongzhi'),
(12, '数量', 'shuliang', 'liuliangkachongzhi'),
(13, '账号', 'username', 'mianmixuni'),
(14, '数量', 'shuliang', 'mianmixuni'),
(15, '手机号', 'shoujihao', 'shouji'),
(16, '数量', 'shuliang', 'shouji');

CREATE TABLE `order` (
  `id` int(11) NOT NULL,
  `shop_id` int(11) NOT NULL COMMENT '商品对应的商品的ID',
  `order_price` double(10,2) NOT NULL COMMENT '购买该商品时的价格',
  `order_state` int(1) NOT NULL DEFAULT '0' COMMENT '0为未付款1为待处理2为处理中3为完成4为取消',
  `username` varchar(100) NOT NULL DEFAULT '' COMMENT '购买者的用户名',
  `input_muban` varchar(100) NOT NULL DEFAULT '' COMMENT '购买商品需要填写的收货信息',
  `order_number` varchar(100) NOT NULL DEFAULT '' COMMENT '订单编号'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `order_xx` (
  `id` int(10) NOT NULL,
  `input_text` varchar(50) NOT NULL DEFAULT '' COMMENT '收货信息文字提示',
  `input_name` varchar(50) NOT NULL DEFAULT '' COMMENT '收货信息表单name',
  `value` varchar(200) NOT NULL DEFAULT '' COMMENT '用户填写的值',
  `order_number` varchar(100) NOT NULL DEFAULT '' COMMENT '订单编号'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `shop` (
  `shop_id` int(11) NOT NULL COMMENT '商品ID',
  `shop_name` varchar(50) NOT NULL DEFAULT '' COMMENT '商品名称',
  `shop_image` varchar(255) NOT NULL DEFAULT '' COMMENT '商品展示图片',
  `shop_price` double(10,2) NOT NULL DEFAULT '0.00' COMMENT '商品价格',
  `shop_input` varchar(50) NOT NULL DEFAULT '' COMMENT '商品订单信息填写模板',
  `shop_text` text NOT NULL COMMENT '商品注意 阐述',
  `shop_retail_price` double(10,2) NOT NULL COMMENT '分站拿货价',
  `shop_docking_price` double(10,2) NOT NULL COMMENT '对接站拿货价',
  `shop_inventory` int(10) NOT NULL DEFAULT '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
CREATE TABLE `web` (
  `id` int(11) NOT NULL,
  `web_name` varchar(100) NOT NULL DEFAULT '' COMMENT '网站名称',
  `web_title` varchar(100) NOT NULL DEFAULT '' COMMENT '网站标题',
  `web_keywords` varchar(255) NOT NULL DEFAULT '' COMMENT '网站SEO搜索关键字',
  `web_description` varchar(255) NOT NULL DEFAULT '' COMMENT '网站SEO搜索介绍',
  `index_image` varchar(255) NOT NULL DEFAULT '' COMMENT '网站首页随机动漫图片接口',
  `web_permissions` int(1) NOT NULL DEFAULT '1' COMMENT '网站权限0是主站1是分站',
  `web_domain_name` varchar(100) NOT NULL DEFAULT '' COMMENT '域名'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
ALTER TABLE `input_muban`
  ADD PRIMARY KEY (`id`);
ALTER TABLE `order`
  ADD PRIMARY KEY (`id`);
ALTER TABLE `order_xx`
  ADD PRIMARY KEY (`id`);
ALTER TABLE `shop`
  ADD PRIMARY KEY (`shop_id`);
ALTER TABLE `web`
  ADD PRIMARY KEY (`id`);
ALTER TABLE `order`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
ALTER TABLE `order_xx`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;
ALTER TABLE `shop`
  MODIFY `shop_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '商品ID', AUTO_INCREMENT=3;
ALTER TABLE `web`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
COMMIT;
